// The `stream` parameter indicates whether the response from the AI will be printed in real time (in chunks). initially, this parameter is set to `false`

const Gpt_Client = require('gpt4free-client');

async function main() {
  const completion = new Gpt_Client.Completion();

  // streaming response
  await completion.create({
    messages: [{ role: 'user', content: 'hello world' }], // messages
    stream: true
  });

  for await (const chunk of completion) {
    console.log(chunk);
  }

  // non-stream response
  var response = await completion.create({
    messages: [{ role: 'user', content: 'hello world' }], // messages
    stream: false
  });

  console.log(response);
}

main()